var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Input } from '@angular/core';
import { BootstrapDirective } from './bootstrap.directive';
var BootstrapSizeDirective = (function (_super) {
    __extends(BootstrapSizeDirective, _super);
    function BootstrapSizeDirective(r, er, ic, at, defaultSize) {
        var _this = this;
        if (defaultSize) {
            ic.push(ic[0] + "-" + defaultSize);
        }
        _this = _super.call(this, r, er, ic, at) || this;
        _this._baseName = ic[0];
        _this._size = defaultSize ? defaultSize : null;
        return _this;
    }
    Object.defineProperty(BootstrapSizeDirective.prototype, "size", {
        set: function (value) {
            if (this._size !== null) {
                this.removeClass(this._baseName + "-" + this._size);
            }
            this._size = value;
            if (value !== null) {
                this.addClass(this._baseName + "-" + this._size);
            }
        },
        enumerable: true,
        configurable: true
    });
    return BootstrapSizeDirective;
}(BootstrapDirective));
export { BootstrapSizeDirective };
BootstrapSizeDirective.propDecorators = {
    'size': [{ type: Input },],
};
//# sourceMappingURL=bootstrap-size.directive.js.map