import { ElementRef, OnInit, Renderer2 } from '@angular/core';
export declare abstract class BootstrapDirective implements OnInit {
    private renderer;
    protected readonly elementRef: ElementRef;
    private initClasses;
    private allowedTags;
    constructor(renderer: Renderer2, elementRef: ElementRef, initClasses: string[], allowedTags?: string[]);
    ngOnInit(): void;
    addClass(cssClass: string): void;
    removeClass(cssClass: string): void;
    setAttribute(attribute: string, value: string): void;
    removeAttribute(attribute: string): void;
    setStyle(style: string, value: string): void;
    setProperty(name: string, value: string): void;
    setValue(value: string): void;
}
