var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapSizeDirective } from '../bootstrap/bootstrap-size.directive';
var FormGroupDirective = (function (_super) {
    __extends(FormGroupDirective, _super);
    function FormGroupDirective(r, er) {
        var _this = _super.call(this, r, er, ['form-group']) || this;
        _this._validationState = null;
        return _this;
    }
    Object.defineProperty(FormGroupDirective.prototype, "validationState", {
        set: function (value) {
            if (this._validationState !== null) {
                this.removeClass("has-" + this._validationState);
            }
            this._validationState = value;
            if (this._validationState !== null) {
                this.addClass("has-" + this._validationState);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FormGroupDirective.prototype, "hasFeedback", {
        set: function (value) {
            value ? this.addClass('has-feedback') : this.removeClass('has-feedback');
        },
        enumerable: true,
        configurable: true
    });
    return FormGroupDirective;
}(BootstrapSizeDirective));
export { FormGroupDirective };
FormGroupDirective.decorators = [
    { type: Directive, args: [{ selector: '[upe-form-group]' },] },
];
/** @nocollapse */
FormGroupDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
FormGroupDirective.propDecorators = {
    'validationState': [{ type: Input },],
    'hasFeedback': [{ type: Input },],
};
//# sourceMappingURL=form-group.directive.js.map