var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapDisabledDirective } from '../bootstrap/bootstrap-disabled.directive';
import { BootstrapDirective } from '../bootstrap/bootstrap.directive';
import { ApplyMixins } from '../helper/applyMixins';
var RadioDirective = (function (_super) {
    __extends(RadioDirective, _super);
    function RadioDirective(r, er) {
        return _super.call(this, r, er, ['radio']) || this;
    }
    return RadioDirective;
}(BootstrapDirective));
export { RadioDirective };
RadioDirective.decorators = [
    { type: Directive, args: [{ selector: '[upe-radio]' },] },
];
/** @nocollapse */
RadioDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
RadioDirective.propDecorators = {
    'disabled': [{ type: Input },],
};
ApplyMixins(RadioDirective, [BootstrapDisabledDirective]);
//# sourceMappingURL=radio.directive.js.map