var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapDisabledDirective } from '../bootstrap/bootstrap-disabled.directive';
import { BootstrapTypeDirective } from '../bootstrap/bootstrap-type.directive';
import { ApplyMixins } from '../helper/applyMixins';
var ListGroupItemDirective = (function (_super) {
    __extends(ListGroupItemDirective, _super);
    function ListGroupItemDirective(r, er) {
        return _super.call(this, r, er, ['list-group-item'], ['LI']) || this;
    }
    return ListGroupItemDirective;
}(BootstrapTypeDirective));
export { ListGroupItemDirective };
ListGroupItemDirective.decorators = [
    { type: Directive, args: [{ selector: '[upe-list-group-item]' },] },
];
/** @nocollapse */
ListGroupItemDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
ListGroupItemDirective.propDecorators = {
    'disabled': [{ type: Input },],
};
ApplyMixins(ListGroupItemDirective, [BootstrapDisabledDirective]);
//# sourceMappingURL=list-group-item.directive.js.map