var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapTextCenterDirective, } from '../bootstrap/bootstrap-text-center.directive';
import { BootstrapDirective } from '../bootstrap/bootstrap.directive';
import { ApplyMixins } from '../helper/applyMixins';
var PanelTitleDirective = (function (_super) {
    __extends(PanelTitleDirective, _super);
    function PanelTitleDirective(r, er) {
        return _super.call(this, r, er, ['panel-title'], ['H1', 'H2', 'H3', 'H4', 'H5', 'H6']) || this;
    }
    return PanelTitleDirective;
}(BootstrapDirective));
export { PanelTitleDirective };
PanelTitleDirective.decorators = [
    { type: Directive, args: [{ selector: '[upe-panel-title]' },] },
];
/** @nocollapse */
PanelTitleDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
PanelTitleDirective.propDecorators = {
    'center': [{ type: Input },],
};
ApplyMixins(PanelTitleDirective, [BootstrapTextCenterDirective]);
//# sourceMappingURL=panel-title.directive.js.map