import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { BootstrapTypeDirective } from '../bootstrap/bootstrap-type.directive';
export declare class ProgressBarDirective extends BootstrapTypeDirective implements OnInit {
    progress: number;
    min: number;
    max: number;
    minWidth: number | string;
    striped: boolean;
    animated: boolean;
    fraction: number;
    private _striped;
    private _min;
    private _max;
    private _progress;
    constructor(r: Renderer2, er: ElementRef);
    ngOnInit(): void;
}
