var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapActiveDirective } from '../bootstrap/bootstrap-active.directive';
import { BootstrapDisabledDirective } from '../bootstrap/bootstrap-disabled.directive';
import { BootstrapTypeDirective } from '../bootstrap/bootstrap-type.directive';
import { ApplyMixins } from '../helper/applyMixins';
var BtnDirective = (function (_super) {
    __extends(BtnDirective, _super);
    function BtnDirective(r, er) {
        var _this = _super.call(this, r, er, ['btn'], ['BUTTON', 'INPUT', 'A'], 'default') || this;
        _this._type = 'button';
        return _this;
    }
    Object.defineProperty(BtnDirective.prototype, "type", {
        set: function (value) {
            this.setAttribute('type', value);
            this._type = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BtnDirective.prototype, "block", {
        set: function (value) {
            value ? this.addClass('btn-block') : this.removeClass('btn-block');
        },
        enumerable: true,
        configurable: true
    });
    BtnDirective.prototype.ngOnInit = function () {
        _super.prototype.ngOnInit.call(this);
        this.setAttribute('role', 'button');
        this.type = this._type;
    };
    return BtnDirective;
}(BootstrapTypeDirective));
export { BtnDirective };
BtnDirective.decorators = [
    { type: Directive, args: [{ selector: '[upe-btn]' },] },
];
/** @nocollapse */
BtnDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
BtnDirective.propDecorators = {
    'type': [{ type: Input },],
    'block': [{ type: Input },],
    'active': [{ type: Input },],
    'disabled': [{ type: Input },],
};
ApplyMixins(BtnDirective, [BootstrapActiveDirective, BootstrapDisabledDirective]);
//# sourceMappingURL=btn.directive.js.map