var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Directive, ElementRef, Input, Renderer2 } from '@angular/core';
import { BootstrapDisabledDirective } from '../bootstrap/bootstrap-disabled.directive';
import { BootstrapDirective } from '../bootstrap/bootstrap.directive';
import { ApplyMixins } from '../helper/applyMixins';
var CheckboxDirective = (function (_super) {
    __extends(CheckboxDirective, _super);
    function CheckboxDirective(r, er) {
        return _super.call(this, r, er, ['checkbox']) || this;
    }
    return CheckboxDirective;
}(BootstrapDirective));
export { CheckboxDirective };
CheckboxDirective.decorators = [
    { type: Directive, args: [{ selector: '[upe-checkbox]' },] },
];
/** @nocollapse */
CheckboxDirective.ctorParameters = function () { return [
    { type: Renderer2, },
    { type: ElementRef, },
]; };
CheckboxDirective.propDecorators = {
    'disabled': [{ type: Input },],
};
ApplyMixins(CheckboxDirective, [BootstrapDisabledDirective]);
//# sourceMappingURL=checkbox.directive.js.map