import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { IBootstrapDisabledDirective } from '../bootstrap/bootstrap-disabled.directive';
import { BootstrapDirective } from '../bootstrap/bootstrap.directive';
import { Size } from '../bootstrap/types';
export declare class FormControlDirective extends BootstrapDirective implements OnInit, IBootstrapDisabledDirective {
    static SUPPORTED_TYPES: string[];
    readonly: boolean;
    size: Size | null;
    disabled: boolean;
    private _size;
    constructor(r: Renderer2, er: ElementRef);
    ngOnInit(): void;
}
